View Issue Details

IDProjectCategoryView StatusLast Update
00312972.x IDE BugsSyntax ErrorsPublic2019-09-05 16:30
ReporterScott DunbarAssigned ToSteven Campbell 
PriorityLowSeverityD - MinorReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031297: Syntax Error: Following a search and replace, a "Variable only referenced once" warning can be shown
DescriptionIssue:
 Following a search and replace, a "Variable only referenced once" warning can be shown
Steps To Reproduce1. Create an Object and add event with variable "test = 0",
2. Script with usage of variable "test", ex. "test += 1"
3. Close script window,
4. Make global "Search & replace" (Ctrl+Shift+F) with variable in object - set replace field to something
5. replace all
6. observe in open object window that the syntax warning is being shown
Additional InformationWarning will only go away once opening and closing script0
TagsIDE
2.x IDE Found In2.2.3.346
2.x Runtime Found In2.2.3.344
2.x IDE Verified In2.2.4.445
2.x Runtime Verified In2.2.4.354

Activities

Steven Campbell

2019-08-27 13:58

Manager   ~0064667

Fixed in Red IDE/GitHub Pull Request 4834
Git Id: 277ef5a25ba53ef96899052737c1e80e0df0a61f

Dan

2019-08-28 09:14

Adminstrator   ~0064675

IDE 443+

Steven Campbell

2019-08-28 12:45

Manager   ~0064680

Additional fix in Red IDE/GitHub Pull Request: 4835
Git Id: 4214422913a5ed4815c2766f0c6c0eb8b71cc738

Dan

2019-08-29 16:30

Adminstrator   ~0064688

Additional fix/redo is in IDE 444.

Scott Dunbar

2019-09-05 16:30

Adminstrator   ~0064731

Verified fixed